CUNY Academic Commons - Bug #454

Allow ordering on post/hero gallery widget
2010-12-08 04:16 PM - Ron Rennick

Status: Resolved Start date: 2010-12-08
Priority name: Normal Due date:

Assignee: Ron Rennick % Done: 90%
Category name: WordPress (misc) Estimated time: 2.00 hours
Target version: 1.1.2

Description

I've added a dropdown to the widget options that provides the choice of date, display order or random. The gallery post edit post
screen now has a meta box on the lower right with a display order field.

History

#1 - 2010-12-08 04:19 PM - Ron Rennick

- Category name set to WordPress (misc)

- Status changed from New to Reporter Feedback
- Assignee set to Ron Rennick

- Target version set to 1.1.1

- % Done changed from 0 to 90

- Estimated time set to 2.00 h

Just checked in.

#2 - 2010-12-08 05:18 PM - Ron Rennick

- Target version changed from 1.1.1 to 1.1.2

Missed 1.1.1.

#3 - 2010-12-10 05:23 PM - Boone Gorges

- Status changed from Reporter Feedback to Resolved

Fixed in https://github.com/castiron/cac/commit/d62d599e8cb0c8f0929c667fbe93abeb2cad5ec4. Thanks Ron.

One (very small) suggestion. | had to re-save the widget settings to make the query return any posts. Maybe you don't have a default orderby value?
Not a big deal, but might be worth considering for upgraders.
